cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/communications/emails/EMAIL_UUID" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_email("ACC0001", "EMAIL_UUID")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountEmail('ACC0001', 'EMAIL_UUID');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountCommunicationsEmail('ACC0001', 'EMAIL_UUID');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.account_emails.account_emails_dto.AccountEmailsDto.AccountCommunicationsEmail;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<AccountCommunicationsEmail> response = client.accounts().getAccountEmail("ACC0001", "EMAIL_UUID");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountCommunicationsEmailAsync("ACC0001", "EMAIL_UUID");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountEmail(
'ACC0001',
'EMAIL_UUID',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountEmail(context.Background(), "ACC0001", "EMAIL_UUID", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"email": {
"additional_template": "<unknown>",
"attachments": [
{
"file_path": "<string>",
"name": "<string>",
"path": "<string>",
"size": 123,
"type": "<string>"
}
],
"bcc": "<array>",
"body": "<unknown>",
"cc": "<array>",
"created_by": "<unknown>",
"created_on": "<string>",
"from": "<unknown>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"mail_type": "<string>",
"message_type": "<string>",
"object": "<string>",
"status": "<string>",
"subject": "<unknown>",
"to": "<string>",
"uuid": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Accounts
Retrieve an email
Returns one email on an account, under email.
GET
/
accounts
/
{account_id}
/
communications
/
emails
/
{email_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/communications/emails/EMAIL_UUID" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_email("ACC0001", "EMAIL_UUID")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountEmail('ACC0001', 'EMAIL_UUID');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountCommunicationsEmail('ACC0001', 'EMAIL_UUID');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.account_emails.account_emails_dto.AccountEmailsDto.AccountCommunicationsEmail;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<AccountCommunicationsEmail> response = client.accounts().getAccountEmail("ACC0001", "EMAIL_UUID");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountCommunicationsEmailAsync("ACC0001", "EMAIL_UUID");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountEmail(
'ACC0001',
'EMAIL_UUID',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountEmail(context.Background(), "ACC0001", "EMAIL_UUID", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"email": {
"additional_template": "<unknown>",
"attachments": [
{
"file_path": "<string>",
"name": "<string>",
"path": "<string>",
"size": 123,
"type": "<string>"
}
],
"bcc": "<array>",
"body": "<unknown>",
"cc": "<array>",
"created_by": "<unknown>",
"created_on": "<string>",
"from": "<unknown>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"mail_type": "<string>",
"message_type": "<string>",
"object": "<string>",
"status": "<string>",
"subject": "<unknown>",
"to": "<string>",
"uuid": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Name the email by the
uuid that List an account’s emails returns.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account's id, such as ACC0001. Not its uuid.
The email's uuid, as returned by List an account's emails.
Response
The email, under email.
An email sent to or from an account.
Show child attributes
Show child attributes